## SW Sync SW Sync — Software sync (fencing) support library |

## Functions

void | igt_require_sw_sync ()
int | sw_sync_timeline_create ()
void | sw_sync_timeline_inc ()
int | sw_sync_timeline_create_fence ()
int | sync_fence_merge ()
int | sync_fence_wait ()
int | sync_fence_status ()
int | sync_fence_count ()
int | sync_fence_count_status ()

## Types and Values

#define | SW_SYNC_FENCE_STATUS_ERROR
#define | SW_SYNC_FENCE_STATUS_ACTIVE
#define | SW_SYNC_FENCE_STATUS_SIGNALED
#define | SYNC_FENCE_OK

## Includes

    #include <sw_sync.h>

## Description

## Functions

### igt_require_sw_sync ()

    void
    igt_require_sw_sync (void);

### sw_sync_timeline_create ()

    int
    sw_sync_timeline_create (void);

### sw_sync_timeline_inc ()

    void
    sw_sync_timeline_inc (int timeline,
                          uint32_t count);

### sw_sync_timeline_create_fence ()

    int
    sw_sync_timeline_create_fence (int timeline,
                                   uint32_t seqno);

### sync_fence_merge ()

    int
    sync_fence_merge (int fence1,
                      int fence2);

### sync_fence_wait ()

    int
    sync_fence_wait (int fence,
                     int timeout);

### sync_fence_status ()

    int
    sync_fence_status (int fence);

### sync_fence_count ()

    int
    sync_fence_count (int fence);

### sync_fence_count_status ()

    int
    sync_fence_count_status (int fence,
                             int status);

## Types and Values

### SW_SYNC_FENCE_STATUS_ERROR

    #define SW_SYNC_FENCE_STATUS_ERROR		(-1)

### SW_SYNC_FENCE_STATUS_ACTIVE

    #define SW_SYNC_FENCE_STATUS_ACTIVE		(0)

### SW_SYNC_FENCE_STATUS_SIGNALED

    #define SW_SYNC_FENCE_STATUS_SIGNALED (1)

### SYNC_FENCE_OK

    #define SYNC_FENCE_OK 1